CertResponse (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.cmp

## Class CertResponse

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cmp.CertResponse

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class CertResponse
      extends ASN1Object

  CertResponse ::= SEQUENCE { certReqId INTEGER, status PKIStatusInfo, certifiedKeyPair CertifiedKeyPair OPTIONAL, rspInfo OCTET STRING OPTIONAL -- analogous to the id-regInfo-utf8Pairs string defined -- for regInfo in CertReqMsg [CRMF] }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertResponse(ASN1Integer certReqId, PKIStatusInfo status)`
    `CertResponse(ASN1Integer certReqId, PKIStatusInfo status, CertifiedKeyPair certifiedKeyPair, ASN1OctetString rspInfo)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CertifiedKeyPair` | `getCertifiedKeyPair()`
    `ASN1Integer` | `getCertReqId()`
    `static CertResponse` | `getInstance(java.lang.Object o)`
    `ASN1OctetString` | `getRspInfo()`
    `PKIStatusInfo` | `getStatus()`
    `ASN1Primitive` | `toASN1Primitive()` CertResponse ::= SEQUENCE { certReqId INTEGER, -- to match this response with corresponding request (a value -- of -1 is to be used if certReqId is not specified in the -- corresponding request) status PKIStatusInfo, certifiedKeyPair CertifiedKeyPair OPTIONAL, rspInfo OCTET STRING OPTIONAL -- analogous to the id-regInfo-utf8Pairs string defined -- for regInfo in CertReqMsg [CRMF] }

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CertResponse

          public CertResponse(ASN1Integer certReqId,
                              PKIStatusInfo status)

    - #### CertResponse

          public CertResponse(ASN1Integer certReqId,
                              PKIStatusInfo status,
                              CertifiedKeyPair certifiedKeyPair,
                              ASN1OctetString rspInfo)

  - ### Method Detail

    - #### getInstance

          public static CertResponse getInstance(java.lang.Object o)

    - #### getCertReqId

          public ASN1Integer getCertReqId()

    - #### getStatus

          public PKIStatusInfo getStatus()

    - #### getCertifiedKeyPair

          public CertifiedKeyPair getCertifiedKeyPair()

    - #### getRspInfo

          public ASN1OctetString getRspInfo()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

           CertResponse ::= SEQUENCE {
                                      certReqId           INTEGER,
                                      -- to match this response with corresponding request (a value
                                      -- of -1 is to be used if certReqId is not specified in the
                                      -- corresponding request)
                                      status              PKIStatusInfo,
                                      certifiedKeyPair    CertifiedKeyPair    OPTIONAL,
                                      rspInfo             OCTET STRING        OPTIONAL
                                      -- analogous to the id-regInfo-utf8Pairs string defined
                                      -- for regInfo in CertReqMsg [CRMF]
                       }

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a basic ASN.1 object representation.